<!-- <section class=" mb-5">
    <h2 class="text-3xl  bottom-line text-center text-uppercase mb-5 font-TUV-Montserrat">
        News
    </h2>
    <div *ngFor="let item of contentItems | slice: 0:3" class="d-flex flex-column mb-2 mb-md-5 ">
        <div class="row">
            <div class="col-5 col-md-auto col-lg-auto pr-0 pr-lg-2 cursor-pointer" [routerLink]="item.id" >
                    <div class="w-h justify-content-center d-flex" >
                        <img [src]="item.thumbnail" [alt]="item.title" class="img-fluid">
                    </div>
            </div>
            <div class="col-7 col-md col-lg">
                <h2 class=" title-hot-news cursor-pointer font-TUV-Montserrat" [routerLink]="item.id">
                    {{item.title}}
                </h2>
                <p class="text-DateTime cursor-pointer" [routerLink]="item.id">{{item.visibilityDate | date:'HH:mm dd/M/y':'+0700'}}</p>
                <div class="d-none d-sm-none d-md-block">
                    <div [innerHTML]="item.description | safe:'html'" class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-3-line overflow-hidden"></div>
                </div>
                
            </div>
        </div>
       
    </div>
    <div class="row justify-content-center mx-0 " *ngIf="contentItems.length>3">
        <div class="see-more text-center text-lg text-black font-weight-bold mx-3 cursor-pointer" routerLink="/news/events">
            See More
        </div>
    </div>

</section> -->
<div id="container" class="bg-white" style="width: 100vw;">
    <div class="container mx-auto max-w-screen-xl mt-28 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
        <div class="flex flex-wrap items-center capitalize" style="color: #707070;">
            <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
            <ion-icon name="chevron-forward-outline"></ion-icon>
            <a class="text-black" >&nbsp;Góc ẩm thực&nbsp;</a>
        </div>
    </div>

    <div class="container mx-auto max-w-screen-lg px-3 md:px-0" style="min-height: 500px;">
        <div class="text-center my-8 text-3xl md:text-4xl font-medium">
            <span class="px-5 inline-block md:leading-7 capitalize">Góc ẩm thực</span>
        </div>

        <!-- <section *ngIf="contentItems?.length > 0" class="grid grid-cols-3">
            <div *ngFor="let item of contentItems" class="md:col-span-1 col-span-3 mb-5">
                <div class="mx-4 h-full flex flex-col justify-between">
                    <div class="w-full">
                        <img  [src]="item.thumbnail ? item.thumbnail : 'assets/image/hshg-3.png'" [alt]="item.title" class="object-cover h-auto w-full rounded-md" [routerLink]="item.id">
                    </div>
    
                    <div class="text-left font-bold text-md md:text-xl my-2  cursor-pointer" [routerLink]="item.id">
                        <div class="truncate">

                            {{item.title}}
                        </div>
                    </div>
                    <div class="flex justify-between">
                        <p class="text-DateTime cursor-pointer" [routerLink]="item.id">{{item.created | date:'HH:mm dd/MM/y':'+0700'}}</p>
                        <div class="flex items-center">
                            <mat-icon class="md:ml-2 cursor-pointer text-DateTime " style="color: var(--color-red)"
                                        (click)="likeProduct(item.id)">favorite</mat-icon>
                            <span class="ml-2 text-DateTime">{{ item.likeCount}}</span>
                        </div>
                    </div>
    
                    <div class="cursor-pointer h-full" [routerLink]="item.id">
                        <div [innerHTML]="item.description | safe:'html'" class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred 
                        truncate-3-line overflow-hidden text-black"></div>
                    </div>
    
                    <div class="my-4 flex justify-center items-center">
                        <div class="w-full">
                        <button mat-raised-button type="button" class="w-full" [routerLink]="item.id">
                            Xem thêm
                        </button>
                        </div>
                    </div>
                </div>
               
            </div>
        
        </section> -->

        <form [formGroup]="formGroup">
            <section class="mb-20">
                <div *ngFor="let item of contentItems; let i = index" formArrayName="like" class="d-flex flex-column mb-2 mb-md-5 ">
                    <div class="grid grid-rows-12 grid-cols-12 md:gap-4 gap-1 mb-4">
                        <div class="col-span-12 md:col-span-4 pr-0 pr-lg-2 cursor-pointer" [routerLink]="item.id" >
                                <div class="h-48 justify-center flex" >
                                    <img [src]="item.thumbnail ? item.thumbnail : 'assets/image/hshg-1.png'" [alt]="item.title" class="object-cover w-full rounded-md">
                                </div>
                        </div>
                        <div class="col-span-12 md:col-span-8">
                            <div class="grid grid-rows-12 grid-cols-12 gap-y-1 gap-x-4 items-center">
                                <div class="col-span-12 md:text-2xl text-lg cursor-pointer font-TUV-Montserrat truncate-2-line" [routerLink]="item.id">
                                    {{item.title}}
                                </div>
                                <div class="col-span-12 flex justify-between items-center">
                                    <p class="text-DateTime cursor-pointer" [routerLink]="item.id">
                                        Người viết: Admin{{item.created ?  (', ' + (item.created | date:'HH:mm dd/MM/y':'+0700')) : ""}} 
                                    </p>
                                    <div class="flex items-center" [formGroupName]="i">
                                        <mat-icon class="md:ml-2 cursor-pointer text-DateTime " style="color: var(--color-red)"
                                                    (click)="likeProduct(item.id, i)">favorite</mat-icon>
                                        <span class="ml-2 text-DateTime">
                                            {{ likes.at(i).value.likeCount }}
                                        </span>
                                    </div>
                                </div>
    
                                <div class="hidden md:block col-span-12">
                                    <div [innerHTML]="item.description | safe:'html'" class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-3-line overflow-hidden"></div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                   
                </div>
                <div class="row justify-center mx-0 mt-8" *ngIf="contentItems.length < totalCount">
                    <div class="see-more text-center text-lg text-black font-bold mx-3 cursor-pointer" (click)="seeMore()">
                        Xem thêm
                    </div>
                </div>
            </section>
        </form>
    
    </div>
</div>


